/*
 * Prebitly - Preview URL shorten by bit.ly
 * 5509 - norimania[at]gmail.com
 * License - MIT
 * Archive - http://moto-mono.net/prebitly
 * Required - jQuery, bit.ly API Key
 * Date - 09-05-25 12:45
*/

$.fn.prebitly = function(options){
	var defaults = $.extend({
			top: -40,
			left: 5,
			loadingText: "loading..."
		},options);
	
	$("body").append("<div id='prebitLoading'></div>");
	$(this).each(function(){
		if(this.href.match(/^\w+\:\/\/bit\.ly/)){
			var hash = this.href.replace("http://bit.ly/","");
			$(this).addClass("prebitly").hover(function(e){
				if($("#"+hash).length<1){
					$("body").append("<div id='"+hash+"' class='bitlyPreviewTip bitlyPreviewLoading'><span>"+defaults.loadingText+"</span></div>");
					$("#"+hash).css({
						position: "absolute",
						top: e.pageY+defaults.top,
						left: e.pageX+defaults.left
					});
					BitlyClient.expand(hash,"rFU");
				}else{
					$("#"+hash).show();
				}
			},function(){
				$("#"+hash).hide();
			}).mousemove(function(e){
				$("#"+hash).css({
					top: e.pageY+defaults.top,
					left: e.pageX+defaults.left
				});
			});
		}
	});
}

function rFU(data) {
	for (var r in data.results){
		$("#"+r).removeClass("bitlyPreviewLoading");
		$("span","#"+r).text(data.results[r]["longUrl"]);
	};
}
